.dibs--form--row {
  display: grid;
  grid-gap: 1em 3em;
  margin-bottom: 1em;
  align-items: center;
}

.dibs--form--elem > label > span {
  display: block;
  font-weight: 700;
  padding-bottom: 0.5em;
}

.dibs--form--input--hint {
  font-size: 0.875em;
  margin-bottom: 0.5em;
}

.dibs--form--input--hint::before {
  content: 'Ex : ';
}

.dibs--form--input--hint--info::before {
  content: '';
}

.dibs--form--input--help {
  color: var(--dibs-colors--accent);
  font-weight: 700;
  border: 0.125em solid var(--dibs-colors--accent);
  border-radius: 3em;
  padding: 0.4375em 1.1875em;
  line-height: 1.125em;
  text-align: center;
  display: flex;
  justify-content: center;
  width: fit-content;
  cursor: pointer;
}

[disabled='disabled'].dibs--form--input--help {
  color: var(--dibs-colors--pink);
  border-color: var(--dibs-colors--pink);
  cursor: not-allowed;
}

[data-is-round='true'].dibs--form--input--help {
  padding: 0.5em;
}

[data-no-border='true'].dibs--form--input--help {
  border: none;
}

.dibs--form--input--help[data-size='small'] {
  padding: 0.18755em 0.75em;
}

.dibs--form--input--help[data-is-round='true'][data-size='small'] {
  padding: 0.18755em 0.18755em;
}

.dibs--form--input--help[data-full-width='true'] {
  width: 100%;
}

.dibs--form--input--help svg path {
  stroke: none;
  fill: var(--dibs-colors--accent);
}

[disabled='disabled'].dibs--form--input--help svg path {
  fill: var(--dibs-colors--pink);
}

.dibs--form--input--help:hover,
.dibs--form--input--help:hover svg path {
  color: var(--dibs-font--aside-color);
  background: var(--dibs-colors--accent);
  fill: var(--dibs-font--aside-color);
}

[disabled='disabled'].dibs--form--input--help:hover,
[disabled='disabled'].dibs--form--input--help:hover svg path {
  background: var(--dibs-colors--pink);
}

.dibs--form--input--help svg {
  height: 1.125em;
  width: 1.125em;
  background: none;
}

.dibs-synthesis--block--header .dibs--form--input--help {
  font-variant: petite-caps;
  font-style: italic;
}

.dibs--form--input {
  width: 100%;
  padding: 0.75em 1.25em;
  margin: 0.5em 0;
  font-size: 1em;
  border: 1px solid var(--dibs-colors--grey);
  background-color: var(--dibs-colors--grey--light);
}

.dibs--form--input--with-picto {
  white-space: nowrap;
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 2px;
}

.dibs--form--input--with-picto > .dibs--form--input {
  padding: 0.75em 2.5em 0.75em 1.25em;
}

.dibs--form--input--with-picto > .dibs--form--input--picto {
  position: absolute;
  height: 1.5em;
  right: 1em;
  line-height: 1.5em;
}

.dibs--input--wrapper {
  display: inline-flex;
  position: relative;
  cursor: pointer;
  user-select: none;
  padding-left: 2.5em;
  height: 1.5em;
  line-height: 1.5em;
}

/* Hide the browser's default checkbox */
.dibs--input--wrapper input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.dibs--input--wrapper input:checked ~ .dibs--input--checkmark {
  background-color: var(--dibs-colors--grey--light);
}

.dibs--input--wrapper:hover input ~ .dibs--input--checkmark {
  background-color: var(--dibs-colors--grey);
}

.dibs--input--wrapper input:focus ~ .dibs--input--checkmark {
  background-color: var(--dibs-colors--grey);
}

.dibs--input--wrapper input:checked ~ .dibs--input--checkmark:after {
  display: block;
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.dibs--input--checkmark:after {
  content: '';
  position: absolute;
  display: none;
}

/* Create a custom checkbox */
.dibs--input--wrapper .dibs--input--checkmark {
  height: 1.5em;
  width: 1.5em;
  background-color: var(--dibs-colors--grey--light);
  border: 1px solid var(--dibs-colors--grey);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.dibs--input--checkmark {
  position: absolute;
  top: 0;
  left: 0;
}

.dibs--input--select-search {
  margin: 0.5em 0;
}

.dibs--input--select-search .vs__dropdown-toggle {
  padding: 0;
}

.dibs--input--select-search .vs__selected-options {
  padding: 0;
}

.dibs--input--select-search .vs__selected {
  padding: 0.75em 1.25em;
  margin: 0;
}

.dibs--input--select-search .vs__search,
.dibs--input--select-search .vs__search:focus {
  padding: 0;
  margin: 0;
  height: 2.875em;
}

.dibs--input--select-search .vs__search:focus {
  padding: 0.75em 1.25em;
}
